Description

When using PostgreSQL as the backend to Quassel Core, my logs are filled with syntax errors. The errors stem from duplicate keys
and null values for senderid. Quassel Core should not depend on PgSQL to prevent duplicate entries -- in other words, Quassel Core
should check for an existing entry -- and it shouldn't try to submit null values for a column that has a NOT NULL constraint.

I've attached a file that shows the entries that PgSQL receiving. I've limited it to just 20, but after less than a week of using Quassel, |
have 70,938 entries in my log regarding it.

Associated revisions

Revision c371e27b - 02/19/2013 10:30 PM - debfx
Check if user setting pair exists before inserting/updating it.
If it exists it's inserted else the date is updated.

This fixes a (harmless) error that clutters the postgres log.
Fixes #958

History

#1 - 10/06/2010 05:45 PM - ddenis

I have a similar issue with "senderid" errors appearing on the log:

2010-10-06 19:28:04 Warning: PostgreSqlStorage::executePreparedQuery() no prepared Query with handle "insert_sender" on Database
"quassel_QPSQL_con_3"

2010-10-06 19:28:04 Error: unhandled Error in QSqglQuery!

2010-10-06 19:28:04 Error: last Query: EXECUTE quassel_3 ('2010-10-6 17:28:04.357', 10, 2, 4, 'asimov.freenode.net', "** Looking up
your hostname...")

2010-10-06 19:28:04 Error: executed Query:

2010-10-06 19:28:04 Error: bound Values:

2010-10-06 19:28:04 Error: Error Number: -1

2010-10-06 19:28:04 Error: Error Message: ERROR: null value in column "senderid" violates not-null constraintQPSQL: Unable to create
query

2010-10-06 19:28:04 Error: Driver Message: QPSQL: Unable to create query

2010-10-06 19:28:04 Error: DB Message: ERROR: null value in column "senderid" violates not-null constraint

#2 - 10/06/2011 12:06 AM - jotik

I'm getting same error and they fill up system logs quite quickly. Any progress on fixing this?

#3 - 10/06/2011 12:08 AM - jotik

| still get errors like

Oct 6 00:59:54 localhost postgres[29692]: [917-1] ERROR: duplicate key value violates unique constraint "use
r_setting_pkey"

Oct 6 00:59:54 localhost postgres([29692]: [917-2] DETAIL: Key (userid, settingname)=(1l, BufferViews) already
exists.

and

Oct 6 00:59:54 localhost postgres[29692]: [918-1] ERROR: duplicate key value violates unique constraint "use
r_setting_pkey"

Oct 6 00:59:54 localhost postgres[29692]: [918-2] DETAIL: Key (userid, settingname)=(1l, GlobalNetworkConfig)

already exists.
with Quassel 0.7.3.

#4 - 10/18/2011 08:44 PM - dazjorz

Same here, but possibly a new issue / regression, because it happens for me since the upgrade from 0.7.1 to 0.7.3.

#5 - 02/19/2013 10:39 PM - debfx
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:c371e27b23667e05cccffb200acfb35f5af2ab4a.
